### Property

# Gtk SearchEntry:input-purpose

since: 4.14

#### Declaration

    property input-purpose: Gtk.InputPurpose [ read, write ]

#### Description [src]

The purpose for the `GtkSearchEntry` input used to alter the behaviour of input methods.

Type: | `GtkInputPurpose`
Available since: | 4.14

Default value | GTK_INPUT_PURPOSE_FREE_FORM
Getter method | `gtk_search_entry_get_input_purpose()`
Setter method | `gtk_search_entry_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no